

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>TISCI User Guide &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="genindex.html"/>
        <link rel="search" title="Search" href="search.html"/>
    <link rel="top" title="TISCI User Guide" href="#"/>
        <link rel="next" title="Chapter 1: Introduction" href="1_intro/index.html"/> 

  
  <script src="_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="#" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                19.07.00
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul>
<li class="toctree-l1"><a class="reference internal" href="1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="2_tisci_msgs/index.html">Chapter 2: TISCI Message Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1"><a class="reference internal" href="5_soc_doc/index.html">Chapter 5: SoC Family Specific Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="#">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="#">Docs</a> &raquo;</li>
      
    <li>TISCI User Guide</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="tisci-user-guide">
<h1>TISCI User Guide<a class="headerlink" href="#tisci-user-guide" title="Permalink to this headline">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="1_intro/index.html">Chapter 1: Introduction</a><ul>
<li class="toctree-l2"><a class="reference internal" href="1_intro/TISCI.html">Brief Introduction to SoC System Control Entity</a></li>
<li class="toctree-l2"><a class="reference internal" href="1_intro/TISCI.html#introduction-to-the-tisci-protocol">Introduction to the TISCI protocol</a></li>
<li class="toctree-l2"><a class="reference internal" href="1_intro/TISCI.html#functionality-available-through-the-tisci-protocol">Functionality Available Through the TISCI Protocol</a></li>
<li class="toctree-l2"><a class="reference internal" href="1_intro/TISCI.html#generic-messaging-header">Generic Messaging Header</a></li>
<li class="toctree-l2"><a class="reference internal" href="1_intro/TISCI.html#secure-messaging-header">Secure Messaging Header</a></li>
<li class="toctree-l2"><a class="reference internal" href="1_intro/TISCI.html#tisci-message-eligibility-for-secure-vs-non-secure-transport">TISCI Message Eligibility for Secure vs Non-secure transport</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="2_tisci_msgs/index.html">Chapter 2: TISCI Message Documentation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="2_tisci_msgs/index.html#general">General</a></li>
<li class="toctree-l2"><a class="reference internal" href="2_tisci_msgs/index.html#power-management-pm">Power Management (PM)</a></li>
<li class="toctree-l2"><a class="reference internal" href="2_tisci_msgs/index.html#resource-management-rm">Resource Management (RM)</a></li>
<li class="toctree-l2"><a class="reference internal" href="2_tisci_msgs/index.html#secure-management">Secure Management</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="3_boardcfg/index.html">Chapter 3: Board Configuration</a><ul>
<li class="toctree-l2"><a class="reference internal" href="3_boardcfg/BOARDCFG.html">Board Configuration</a></li>
<li class="toctree-l2"><a class="reference internal" href="3_boardcfg/BOARDCFG_RM.html">Resource Management Board Configuration</a></li>
<li class="toctree-l2"><a class="reference internal" href="3_boardcfg/BOARDCFG_SEC.html">Security Board Configuration</a></li>
<li class="toctree-l2"><a class="reference internal" href="3_boardcfg/BOARDCFG_PM.html">Power Management Board Configuration</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="4_trace/index.html">Chapter 4: Interpreting Trace Data</a><ul>
<li class="toctree-l2"><a class="reference internal" href="4_trace/trace.html">Trace Layer</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="5_soc_doc/index.html">Chapter 5: SoC Family Specific Documentation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="5_soc_doc/index.html#am6-soc-family">AM6 SoC Family</a></li>
<li class="toctree-l2"><a class="reference internal" href="5_soc_doc/index.html#j721e-soc-family">J721E SoC Family</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a><ul>
<li class="toctree-l2"><a class="reference internal" href="6_topic_user_guides/secure_boot_signing.html">Signing binaries for Secure Boot</a></li>
<li class="toctree-l2"><a class="reference internal" href="6_topic_user_guides/keystore_provision.html">Keystore Provisioning</a></li>
<li class="toctree-l2"><a class="reference internal" href="6_topic_user_guides/asymmetric_key_services.html">Asymmetric Key Services</a></li>
</ul>
</li>
</ul>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="1_intro/index.html" class="btn btn-neutral float-right" title="Chapter 1: Introduction" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2019</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'./',
            VERSION:'19.07.00',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="_static/jquery.js"></script>
      <script type="text/javascript" src="_static/underscore.js"></script>
      <script type="text/javascript" src="_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>